## GomCommand GomCommand |

## Functions

#define | GOM_COMMAND_CONST()
gboolean | gom_command_execute ()
void | gom_command_set_sql ()
gint | gom_command_get_param_index ()
void | gom_command_reset ()
void | gom_command_set_param ()
void | gom_command_set_param_double ()
void | gom_command_set_param_float ()
void | gom_command_set_param_int ()
void | gom_command_set_param_int64 ()
void | gom_command_set_param_uint ()
void | gom_command_set_param_uint64 ()
void | gom_command_set_param_string ()

## Properties

GomAdapter * | adapter | Read / Write / Construct Only
gchar * | sql | Write

## Object Hierarchy

        GObject
        ╰── GomCommand

## Description

## Functions

### GOM_COMMAND_CONST()

    #define GOM_COMMAND_CONST(obj)      (G_TYPE_CHECK_INSTANCE_CAST ((obj), GOM_TYPE_COMMAND, GomCommand const))

### gom_command_execute ()

    gboolean
    gom_command_execute (GomCommand *command,
                         GomCursor **cursor,
                         GError **error);

### gom_command_set_sql ()

    void
    gom_command_set_sql (GomCommand *command,
                         const gchar *sql);

### gom_command_get_param_index ()

    gint
    gom_command_get_param_index (GomCommand *command,
                                 const gchar *param_name);

### gom_command_reset ()

    void
    gom_command_reset (GomCommand *command);

### gom_command_set_param ()

    void
    gom_command_set_param (GomCommand *command,
                           guint param,
                           const GValue *value);

### gom_command_set_param_double ()

    void
    gom_command_set_param_double (GomCommand *command,
                                  guint param,
                                  gdouble value);

### gom_command_set_param_float ()

    void
    gom_command_set_param_float (GomCommand *command,
                                 guint param,
                                 gfloat value);

### gom_command_set_param_int ()

    void
    gom_command_set_param_int (GomCommand *command,
                               guint param,
                               gint value);

### gom_command_set_param_int64 ()

    void
    gom_command_set_param_int64 (GomCommand *command,
                                 guint param,
                                 gint64 value);

### gom_command_set_param_uint ()

    void
    gom_command_set_param_uint (GomCommand *command,
                                guint param,
                                guint value);

### gom_command_set_param_uint64 ()

    void
    gom_command_set_param_uint64 (GomCommand *command,
                                  guint param,
                                  guint64 value);

### gom_command_set_param_string ()

    void
    gom_command_set_param_string (GomCommand *command,
                                  guint param,
                                  const gchar *value);

## Types and Values

## Property Details

### The `“adapter”` property

      “adapter”                  GomAdapter *

The GomAdapter for the command.

Flags: Read / Write / Construct Only

### The `“sql”` property

      “sql”                      gchar *

The SQL for the command.

Flags: Write

Default value: NULL